# -*- coding:utf-8 -*-
from gpiozero import OutputDevice
import time

# 设置GPIO引脚
relay_devices = [OutputDevice(5), OutputDevice(6), OutputDevice(13), OutputDevice(16), OutputDevice(19), OutputDevice(20)]

for relay in relay_devices:
    relay.off()

try:  
    for i in range(6):
        print("Turn on Relay",i+1);
        relay_devices[i].on()
        time.sleep(0.5)

    for i in range(6):
        print("Turn off Relay",i+1);
        relay_devices[i].off()
        time.sleep(0.5)
except KeyboardInterrupt:
    print('Exiting...')
finally:
    for relay in relay_devices:
        relay.off()




